# users — NCM API

The user accounts in your NetCloud Manager account. Read-only, a single list call, and the v2 view. For creating and updating users, and for the richer tenant-scoped record, use users v3; roles are set under account authorizations.

Base URL: https://www.cradlepointecm.com/api/v2

### GET /users/

Get information about users

Use the GET method on this endpoint to retrieve users records. Use the available filtering fields to narrow or broaden your search.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| id | query | integer | no | User ID |
| username | query | string | no | Username of a user |
| email | query | string | no | A user's email address |
| limit | query | integer | no | Restricts the number of records returned in a recordset to this value. Max value is 500. |
| offset | query | integer | no | Specifies where (an index) in a recordset to begin returning records. |

**Example request**

```bash
curl "https://www.cradlepointecm.com/api/v2/users/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>"
```

**Response 200** — Example response.

```json
{
  "data": [
    {
      "account": "https://www.cradlepointecm.com/api/v2/accounts/<account number>/",
      "email": "albert@some.com",
      "first_name": "Albert",
      "id": "111032",
      "last_name": "Wilson",
      "resource_url": "https://www.cradlepointecm.com/api/v2/users/111032/",
      "username": "muU8o4fXj1IKwzuq"
    }
  ],
  "meta": {
    "limit": 20,
    "next": null,
    "offset": 0,
    "previous": null
  }
}
```
